Red Hat Satellite engineering is moving the tracking of its product development work on Satellite to Red Hat Jira (issues.redhat.com). If you're a Red Hat customer, please continue to file support cases via the Red Hat customer portal. If you're not, please head to the "Satellite project" in Red Hat Jira and file new tickets here. Individual Bugzilla bugs will be migrated starting at the end of May. If you cannot log in to RH Jira, please consult article #7032570. That failing, please send an e-mail to the RH Jira admins at rh-issues@redhat.com to troubleshoot your issue as a user management inquiry. The email creates a ServiceNow ticket with Red Hat. Individual Bugzilla bugs that are migrated will be moved to status "CLOSED", resolution "MIGRATED", and set with "MigratedToJIRA" in "Keywords". The link to the successor Jira issue will be found under "Links", have a little "two-footprint" icon next to it, and direct you to the "Satellite project" in Red Hat Jira (issue links are of type "https://issues.redhat.com/browse/SAT-XXXX", where "X" is a digit). This same link will be available in a blue banner at the top of the page informing you that that bug has been migrated.
Bug 1730373 - Datetime picker does not open with en_gb locale
Summary: Datetime picker does not open with en_gb locale
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: WebUI
Version: 6.6.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: 6.6.0
Assignee: Ondřej Ezr
QA Contact: vijsingh
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-16 14:36 UTC by Vlada Grosu
Modified: 2019-10-22 19:50 UTC (History)
5 users (show)

Fixed In Version: foreman-1.22.0.12-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-22 19:50:28 UTC
Target Upstream Version:
Embargoed:


Attachments (Terms of Use)
The js console error for en_gb for the datetime picker (297.93 KB, image/png)
2019-07-16 14:36 UTC, Vlada Grosu
no flags Details
Screenshot (139.89 KB, image/png)
2019-08-19 07:33 UTC, vijsingh
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 27349 0 None None None 2019-07-25 10:50:45 UTC

Description Vlada Grosu 2019-07-16 14:36:57 UTC
Created attachment 1591086 [details]
The js console error for en_gb for the datetime picker

Description of problem:
The date time picker for scheduling the generation of reports does not work for me. 
Please see the screenshot, the error is in the js stack, where "en_gb locale" isn't supported.

Version-Release number of selected component (if applicable):

The browser version is Chrome Version 74.0.3729.169 (Official Build) (64-bit)
Tested on Red Hat Satellite (build: 6.6.0 Beta) that was installed using the satellite6-installer Jenkins job used by QE.

How reproducible:
 
Steps to Reproduce:
1. Navigate to *Monitor* > *Report Templates* and to the right of any of the listed templates click *Generate*.
2. In the *Generate a Report* page, when attempting to click on the date and time picker it is not clickable.


Actual results:
I cannot select a date to schedule my report, nor can I input in manually.

  

Expected results:
I want to be able to select a date to schedule the generation of a report.

Additional info:

When I open the a browser (js) console and try clicking the calendar button, the error that is displayed is: 
react-dom.production.min.js:198 RangeError: Invalid language tag: en_gb
    at Object.DateTimeFormat (<anonymous>)
    at c (Header.js:16)
    at Xa (react-dom.production.min.js:150)
    at zo (react-dom.production.min.js:178)
    at Vi (react-dom.production.min.js:232)
    at Wi (react-dom.production.min.js:233)
    at As (react-dom.production.min.js:249)
    at Cs (react-dom.production.min.js:248)
    at Ns (react-dom.production.min.js:251)
    at Cn (react-dom.production.min.js:85)
di @ react-dom.production.min.js:198
n.callback @ react-dom.production.min.js:210
ri @ react-dom.production.min.js:193
ni @ react-dom.production.min.js:193
qi @ react-dom.production.min.js:217
Hi @ react-dom.production.min.js:220
(anonymous) @ react-dom.production.min.js:250
t.unstable_runWithPriority @ scheduler.production.min.js:18
Os @ react-dom.production.min.js:250
As @ react-dom.production.min.js:249
Cs @ react-dom.production.min.js:248
Ns @ react-dom.production.min.js:251
Cn @ react-dom.production.min.js:85
react-dom.production.min.js:248 Uncaught RangeError: Invalid language tag: en_gb
    at Object.DateTimeFormat (<anonymous>)
    at c (Header.js:16)
    at Xa (react-dom.production.min.js:150)
    at zo (react-dom.production.min.js:178)
    at Vi (react-dom.production.min.js:232)
    at Wi (react-dom.production.min.js:233)
    at As (react-dom.production.min.js:249)
    at Cs (react-dom.production.min.js:248)
    at Ns (react-dom.production.min.js:251)
    at Cn (react-dom.production.min.js:85)

Comment 3 Marek Hulan 2019-07-16 14:52:56 UTC
Maria, could you please take a look? CC Amir

Comment 4 Maria 2019-07-16 15:27:56 UTC
(In reply to Marek Hulan from comment #3)
> Maria, could you please take a look? CC Amir

Fixed in this PR: https://github.com/theforeman/foreman/pull/6904

Comment 6 Ondřej Ezr 2019-07-25 10:50:45 UTC
Finally fixed by https://github.com/theforeman/foreman/pull/6916, linking the corresponding upstream issue.

Comment 7 Bryan Kearney 2019-07-25 12:06:46 UTC
Upstream bug assigned to oezr

Comment 8 Bryan Kearney 2019-07-25 12:06:47 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/27349 has been resolved.

Comment 10 vijsingh 2019-08-19 07:32:54 UTC
ON_QA Verified

@Satellite 6.6.0 snap 16.0

Attached screeshot

Comment 11 vijsingh 2019-08-19 07:33:29 UTC
Created attachment 1605657 [details]
Screenshot

Comment 12 Bryan Kearney 2019-10-22 19:50:28 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3172


Note You need to log in before you can comment on or make changes to this bug.